#include <pluginlib/class_list_macros.h>
#include <ros/ros.h>

#include "camera/Camera.h"

#include "car/camDataMsg.h"

PLUGINLIB_EXPORT_CLASS(car::Camera, nodelet::Nodelet);

namespace car
{

Camera::Camera()
    : messageOStream(nh, "Camera")
{}

void Camera::onInit()
{
    messageOStream.write("onInit", "START");

    camData = nh.advertise<camDataMsg>("camData", 1);
    cameraThread = std::thread(
        [this]()
        {
            ros::Rate rate{1};
            while (ros::ok())
            {
                camDataMsg msg;
                camData.publish(msg);
                rate.sleep();
            }
        });

    messageOStream.write("onInit", "END");
}
}
